# Prusa Connect Prometheus Exporter

Version v0.1.0 of this exporter supports the pre-4.4.0 changes to the Prusa Connect API (non-API-key version).

Current master branch supports the new, 4.4.0-beta2 release of Prusa Connect as well as the older API.

## Usage

`./prusa-connect-exporter -h`

* `apikey`
    Prusa Connect API key (see Main Menu -> Settings -> Network on the printer).
    If no key is provided, exporter assumes the older API layout when querying the printer.
* `hostname`
    Hostname the Prusa Connect API is available at (assumes http) (default "localhost")
* `interval`
    How often, in seconds, to query the API (default 2)
* `path`
    Local path to export metrics on (default "metrics")
* `port`
    Local port to export metrics on (default "2112")
